function love.load()
    love.window.setMode(1280, 720, {
        fullscreen = false,
        vsync = 1
    })

    img = love.graphics.newImage('image.png')

    x, y = 80, 80
    speed = 400
end

function love.update(dt)
    if love.keyboard.isDown('s') then
        y = y + speed * dt
    elseif love.keyboard.isDown('d') then
        x = x + speed * dt
    elseif love.keyboard.isDown('w') then
        y = y - speed * dt
    elseif love.keyboard.isDown('a') then
        x = x - speed * dt
    end
end

function love.draw()
    love.graphics.draw(
        img,
        math.floor(x),
        math.floor(y),
        0,
        2
    )
end
